org.apache.ignite.internal.processors.cache.tree

## Class CacheDataRowStore

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.RowStore
  - - org.apache.ignite.internal.processors.cache.tree.CacheDataRowStore

    public class CacheDataRowStore
    extends RowStore

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.persistence.RowStore

`coctx, pageMem`

### Constructor Summary

Constructors
Constructor and Description
`CacheDataRowStore(CacheGroupContext grp, FreeList freeList, int partId)`

### Method Summary

### Methods inherited from class org.apache.ignite.internal.processors.cache.persistence.RowStore

`addRow, freeList, removeRow, setRowCacheCleaner, updateDataRow, updateRow`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CacheDataRowStore

    public CacheDataRowStore(CacheGroupContext grp,
                             FreeList freeList,
                             int partId)

Parameters:
  `grp` - Cache group.
  `freeList` - Free list.
  `partId` - Partition number.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019